
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>css3学习总结1--CSS3选择器 / 憋错料</title>

    <meta name="description" content="css3学习总结1--CSS3选择器 CSS3的属性选择器主要包括以下几种: 1. E[attr^=&quot;value&quot;]:指定了属性名,并且有属性值,属性值是以value开头的: 2. E[attr$=&quot;value&quot;]:指定了属性名,并且有属性值,而且属性值是以value结束的: 3. E[attr*=&quot;value&quot;]:指定了属性名,并且有属性值,而且属值中包含了value: 示例 .classNamea[href^=&quot;http://&quot;]{backgroun ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">css3学习总结1--CSS3选择器</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>CSS3的属性选择器主要包括以下几种：</strong></p>
<ul>
<li>1. E[attr^="value"]：指定了属性名，并且有属性值，属性值是以value开头的；</li>
<li>2. E[attr$="value"]：指定了属性名，并且有属性值，而且属性值是以value结束的；</li>
<li>3. E[attr*="value"]：指定了属性名，并且有属性值，而且属值中包含了value；</li>
</ul>
<p><strong>示例</strong></p>
<pre>.classNamea[href^="http://"]{background:orange;color:blue;}.classNamea[href$="png"]{background:green;color:black;}.classNamea[title*="hubwiz"]{background:black;color:white;}</pre>
<p><strong>CSS3选择器，或者CSS3结构类，首先列出他具有的选择方法：</strong></p>
<ul>
<li>1. :first-child选择某个元素的第一个子元素；</li>
<li>2. :last-child选择某个元素的最后一个子元素；</li>
<li>3. :first-of-type选择一个上级元素下的第一个同类子元素；</li>
<li>4. :last-of-type选择一个上级元素的最后一个同类子元素；</li>
</ul>
<p><strong>示例：</strong></p>
<pre>.classNameli:first-child {background: green; border: 1px dashed blue;}
.classNameli:last-child {background: green; border: 2px dashed blue;}
.className&gt; p:first-of-type {background: green;}

.className&gt;&nbsp;p:last-of-type&nbsp;{background:&nbsp;green;}</pre>
<pre></pre>

<ul>
<li>5. :nth-child()选择某个元素的一个或多个特定的子元素；</li>
</ul>
<p><strong>　　示例：</strong></p>
<p>　　　　1. 简单数字序号写法 :nth-child(number)，直接匹配第number个元素。参数number必须为大于0的整数。</p>
<p>如下，把第3个p的背景设为绿色：</p>
<pre>p:nth-child(3){background:green;}</pre>
<p>　　　　2. 倍数写法 :nth-child(an)，匹配所有倍数为a的元素。其中参数an中的字母n不可缺省，它是倍数写法的标志，如3n、5n。</p>
<p>如下，把第2、第4、第6、&hellip;、所有2的倍数的p的背景设为蓝色：</p>
<pre>p:nth-child(2n){background:blue;}
</pre>
<p>　　</p>
<p>　　　　3. 倍数分组匹配 :nth-child(an+b)与:nth-child(an-b)，先对元素进行分组，每组有a个，b为组内成员的序号，其中字母n和加号+不可缺省，位置不可调换，这是该写法的标志，其中a,b均为正整数或0。</p>
<p>　　　　如下，匹配第1、第4、第7、&hellip;、每3个为一组的第1个p元素</p>
<pre>p:nth-child(3n+1){background:orange;}
</pre>
<p>　 &nbsp; &nbsp; 　如下，匹配第3-1=2、第6-1=5、&hellip;、第3的倍数减1个p元素</p>
<pre>p:nth-child(3n-1){background:#33FF33;}
</pre>
<p>　　</p>
<p>　　　　4. 奇偶匹配 :nth-child(odd)与:nth-child(even)分别匹配序号为奇数与偶数的元素。奇数(odd)与(2n+1)结果一样；偶数(even)与(2n+0)及(2n)结果一样。</p>
<p>这里，我们为奇数和偶数p元素指定两种不同的背景色：</p>
<pre>p:nth-child(odd){background:#ff0000;}
p:nth-child(even){background:#0000ff;}</pre>

<ul>
<li>6. :nth-last-child()选择某个元素的一个或多个特定的子元素，从这个元素的最后一个子元素开始算；</li>
</ul>

<pre>.className p:nth-last-child(4) {background: red;}
</pre>
<p>　</p>
<ul>
<li>7. :nth-of-type()选择指定的元素；</li>
</ul>
<p>　　　　　:nth-of-type类似于:nth-child，不同的是他只计算选择器中指定的那个元素，其实我们前面的实例都是指定了具体的元素，这个选择器主要对用来定位元素中包含了好多不同类型的元素是很有用处。</p>
<ul>
<li>8. :nth-last-of-type()选择指定的元素，从元素的最后一个开始计算；</li>
</ul>
<p>　　　　:nth-last-of-type(n)选择器匹配属于父元素的特定类型的第N个子元素的每个元素，从最后一个子元素开始计数(n可以是数字或公式)。</p>
<ul>
<li>9. :only-child选择的元素是它的父元素的唯一一个了元素；</li>
</ul>
<p>　　　　E:only-child，匹配那些是其父元素唯一子元素的E元素。简单来说就是匹配父元素中只有一个子元素的类型元素。说白了就是E元素的父级只有它本身一个子元素。</p>
<ul>
<li>10. :only-of-type选择一个元素是它的上级元素的唯一一个相同类型的子元素；</li>
</ul>
<p>　　:only-of-type是表示一个元素他有很多个子元素，而其中只有一个子元素是唯一的。</p>
<p>　　　所以我们使用这种选择器就可以选中元素的唯一子元素。</p>
<p>　　　说白了就是选择它的各类型子元素中个数只有一个的那一类</p>
<pre>div :only-of-type{
background-color: green;
}
</pre>
<p>　　</p>
<ul>
<li>11. :empty选择的元素里面没有任何内容。</li>
</ul>
<p>　　empty是用来选择没有任何内容的元素，这里没有内容指的是一点内容都没有，哪怕是一个空格。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-16 11:23:10 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>css3学习总结1--CSS3选择器的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyqaAaM.html" rel="bookmark">CSS3学习笔记&lpar;1&rpar;-CSS3选择器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CSS3与CSS2相比发生了很大的变化,CSS3的亮点功能包括实现圆角.阴影.新的flex伸缩布局模型.多列布局模型.填充色的渐变.2D变形(位移.缩放.旋转.倾斜).3D变形.动画(transition过渡动画.animation关键帧动画)等.看到这些字眼,你实际上已经可以深深感受到CSS3的野心,通过这些东西基本上都可以做出很棒的多媒体演示了,flash.Powerpoint制作演示也无外乎这些东西而已! 确实如此,CSS从CSS3开始,已经从单纯的实现静态页面元素布局美化之中超脱出来,向			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3raZgb0.html" rel="bookmark">CSS3学习笔记一（选择器）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				属性选择器: E[attr] 包含attr属性的E E[attr=&quot;value&quot;] 包含attr属性值为value的E E[attr~=&quot;value&quot;] 包含attr属性的值列表中含有value的E E[attr^=&quot;value&quot;] 包含attr属性的值是以value开头的E E[attr$=&quot;value&quot;] 包含attr属性的值是以value结束的E E[attr*=&quot;value&quot;] 包含attr属性的值			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBA5vE4.html" rel="bookmark">CSS3学习笔记&lpar;4&rpar;-CSS3函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				p{ font-size: 15px; text-indent: 2em; } .alexrootdiv&gt;div{ background: #eeeeee; border: 1px solid #aaa; width: 99%; padding: 5px; margin: 1em 0 1em 0; } .alexrootdiv&gt;div&gt;p:first-of-type,.alextitlep{ font-size: 18px; font-weight: bold; color: red;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0KdzXJ3.html" rel="bookmark">CSS3学习笔记&lpar;2&rpar;-CSS3边框</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				p{ font-size: 15px; text-indent: 2em; } .alexrootdiv&gt;div{ background: #eeeeee; border: 1px solid #aaa; width: 99%; padding: 5px; margin: 1em 0 1em 0; } .alexrootdiv&gt;div&gt;p:first-of-type,.alextitlep{ font-size: 18px; font-weight: bold; color: red;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02WwnB3.html" rel="bookmark">CSS3学习笔记&lpar;3&rpar;-CSS3边框</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				p{ font-size: 15px; text-indent: 2em; } .alexrootdiv&gt;div{ background: #eeeeee; border: 1px solid #aaa; width: 99%; padding: 5px; margin: 1em 0 1em 0; } .alexrootdiv&gt;div&gt;p:first-of-type,.alextitlep{ font-size: 18px; font-weight: bold; color: red;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rOQaq4.html" rel="bookmark">CSS3学习手记（二） 伪类选择器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				伪类选择器 动态伪类 UI元素状态伪类 CSS3结构类 否定选择器 伪元素 动态伪类 这些伪类并不存在于HTM中,只有当用户和网站交互的时候才能体现出来 锚点伪类 :link  :visited 用户行为伪类 :hover :active :focus(获取鼠标焦点) UI元素状态伪类(CSS3新增) 我们把:enabled,:disabled,:check伪类称为UI元素状态伪类 兼容IE9以上  check只兼容OPera &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/VMGboa4.html" rel="bookmark">css3学习笔记三</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				css3有些特殊的元素选择器这和jquery相似.效果图如下 黑色的小球是旋转3D效果不是特别明显,主要是学习的是对每个小球的控制.上代码. &lt;!DOCTYPE html&gt;&lt;html&gt;  &lt;head&gt;    &lt;title&gt;Ball.html&lt;/title&gt;        &lt;meta http-equiv=&quot;keywords&quot; content=&quot;keyword1,keyword2,keyword3&quot;&g			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZDjNmM.html" rel="bookmark">CSS3学习笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这两天的CSS3学习笔记: 慕课网课程地址: http://www.imooc.com/learn/33 笔记: 边框: 圆角效果border-radius:同border相同的缩写方式: 阴影box-shadow: 参数说明: 说明: 单位除了用px也可以用百分比: 多个阴影:用逗号隔开即可: 模糊半径与扩展半径的区别: 阴影模糊半径:此参数可选,其值只能是为正值,如果其值为0时,表示阴影不具有模糊效果,其值越大阴影的边缘就越模糊: 阴影扩展半径:此参数可选,其值可以是正负值,如果值为正,则整			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6bj6dM.html" rel="bookmark">css和css3学习</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				css和css3学习  css布局理解  css颜色大全  样式的层叠和继承  css ::before和::after伪元素的用法 中文字体font-family常用列表 css选择器  Flex布局			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDB1D93.html" rel="bookmark">HTML5与CSS3权威指南之CSS3学习记录</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				title: HTML5与CSS3权威指南之CSS3学习记录 toc: true date: 2018-10-14 00:06:09 学习资料--&lt;HTML5与CSS3权威指南&gt;(第3版) 官方网站: 华章图书 书中所有代码下载链接: 链接:http://pan.baidu.com/s/1c0oGMn2 密码:f7zt 选择器 属性选择器 [att=val]选择器--选择属性att值为val的元素 [att*=val]选择器--选择属性att值包含val的元素 [att^=val]选择器--选			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/N4pQoyM.html" rel="bookmark" class="title">多线程之：如何避免死锁</a>
					<div>
						java代码中,我们如何避免死锁呢?根据死锁产生的原因,我们可以得出解决方法,那就是多线程环境下以相同顺序获取一组锁:另外,由于无限期等待对方所持有的锁导致死锁,因此可采取限时等待,当超过设定时间时还 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/k0eXr5M.html" rel="bookmark" class="title">nyist&lowbar;21&lpar;三个水杯&rpar;&lpar;BFS&rpar;</a>
					<div>
						描述 给出三个水杯,大小不一,并且只有最大的水杯的水是装满的,其余两个为空杯子.三个水杯之间相互倒水,并且水杯没有标识,只能根据给出的水杯体积来计算.现在要求你写出一个程序,使其输出使初始状态到达目标 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/x0dwKZM.html" rel="bookmark" class="title">燃尽图介绍</a>
					<div>
						燃尽图功能及要素   燃尽图(burn down chart)是在项目完成之前,对需要完成的工作的一种可视化表示.燃尽图有一个Y轴(工作)和X轴(时间).理想情况下,该图表是一个向下的曲线,随着剩余工 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/N4pB780.html" rel="bookmark" class="title">linux重定向及管道</a>
					<div>
						1.bash的的I/O重定向及管道        程序:指令+数据            读入数据:Input            输出数据:Output        打开的文件都有一个fd: f ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JD9mB0.html" rel="bookmark" class="title">HDOJ--2112--</a>
					<div>
						HDU Today Time Limit: 15000/5000 MS (Java/Others)    Memory Limit: 32768/32768 K (Java/Others) Total ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPNbym3.html" rel="bookmark" class="title">atitit&period;XML类库选型及object 对象bean 跟json转换方案</a>
					<div>
						atitit.XML类库选型及object 对象bean 跟json转换方案 1. XML类库可以分成2大类.标准的.这些类库通常接口和实现都是分开的 1 2. 常见的xml方面的方法 2 2.1.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47pB9DM.html" rel="bookmark" class="title">关于Oracle的一些基础知识以及注意事项</a>
					<div>
						一.oracle基础 1.1 DDL(Data Definition Language) 数据定义语言 create drop,desc(注意,此操作只能在PL/SQL Developer的命令窗户执 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0awpen4.html" rel="bookmark" class="title">从巴菲特10亿美元买苹果股 看&OpenCurlyDoubleQuote;硬件公司&rdquo;的低谷期</a>
					<div>
						据美国证券交易委员会(SEC)的文件显示,&quot;股神&quot;沃伦·巴菲特当前持有的苹果公司的股票价值已超过10亿美元.巴菲特旗下的公司在一份监管文件中披露,第一季度中公司新买入981万股苹果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6NmOZM.html" rel="bookmark" class="title">&lbrack;C&plus;&plus;11 并发编程&rsqb; 12 使用条件变量创建线程间安全的队列</a>
					<div>
						之前有一节中,我们使用mutex实现了一个线程间安全的堆栈.这一节,我们使用条件变量来实现一个线程间安全的队列. 标准库中的std::queue&lt;&gt;的接口定义如下: template &l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Q8jVo3.html" rel="bookmark" class="title">HEVC</a>
					<div>
						HEVC,英文全拼:High Efficiency Video Coding,是一种新的视频压缩标准.可以替代H.264/ AVC编码标准. 但是,现有的压缩方案,比如H.264.MPEG-4等等仍然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YYlPv0.html" rel="bookmark" class="title">小猪的Android入门之路 Day 8 part 4</a>
					<div>
						小猪的Android入门之路 Day 8 part 4 Android网络编程浅析--Android网络数据的上传 --转载请注明出处:coder-pig 本节引言: 在part 3中我们已经学习了A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLjomB3.html" rel="bookmark" class="title">andriod自定义视图</a>
					<div>
						一.通过View实现自定义视图 通过构造函数创建可视界面 public class MyView extends View { // Constructor required for in-code  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YXWvJM.html" rel="bookmark" class="title">程序员从小工到专家阅读笔记之二</a>
					<div>
						第三章&lt;基本工具&gt;由纯文本的威力.shell游戏.强力编辑.源码控制.调试.文本操纵和代码生成器这几节组成. 首先是纯文本.纯文本由可打印字符组成,人可以直接阅读和理解其形式.Xml.ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPDqNDM.html" rel="bookmark" class="title">更何况有收入具有人有家事如天一</a>
					<div>
						http://blog.csdn.net/wjh200821/article/details/43647465 http://blog.csdn.net/wjh200821/article/detai ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bO6vo3.html" rel="bookmark" class="title">css3 移动端 开关效果</a>
					<div>
						展示效果: 首先是html &lt;div class=&quot;container&quot;&gt; &lt;div class=&quot;bg_con&quot;&gt; &lt;input ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nYARvM.html" rel="bookmark" class="title">excle&comma;aspose&period;cells  公式字段值取不到 xmls转xml</a>
					<div>
						问题: 一,单元格或列是公式的,读出值为0 aspose.cells 4.4.0.5版本 由于太低,读xmls后缀的excel文件时,发现如果此列是公式算出来的,值是获取不到的.获取到的值一直是0 二 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/478VxyM.html" rel="bookmark" class="title">ASP&period;NET MVC&plus;EF框架&plus;EasyUI实现权限管理系列&lpar;1&rpar;-框架搭建</a>
					<div>
						原文:ASP.NET MVC+EF框架+EasyUI实现权限管理系列(1)-框架搭建 ASP.NET MVC+EF框架+EasyUI实现权限管系列 (开篇) 前言:这篇博客开始我们便一步一步的来实现这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49LDWJ3.html" rel="bookmark" class="title">iOS 环信集成单聊界面，出现消息重复问题</a>
					<div>
						解决办法很简单,数据重复就是EaseMessageViewController和ChatViewController重复调用了这个吧?//通过会话管理者获取收发消息 [self tableViewDi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPZKx63.html" rel="bookmark" class="title">jsp如何点击左边菜单刷新右边数据？</a>
					<div>
						首先,给frame取个名字,如下, &lt;frame src=&quot;&lt;%=basePath%&gt;/JSP/Feachers/right.jsp&quot; name=&quot;ri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KZpgjM.html" rel="bookmark" class="title">深入理解openstack网络架构&lpar;2&rpar;----Basic Use Cases</a>
					<div>
						原文地址: https://blogs.oracle.com/ronen/entry/diving_into_openstack_network_architecture1 译文转自: http:// ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.036 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
